<?php
/**
 * Display links to active BuddyPress compatible/specific themes settings' pages
 *
 * @package    BuddyPress Toolbar
 * @subpackage Theme Support
 * @author     David Decker - DECKERWEB
 * @copyright  Copyright 2012, David Decker - DECKERWEB
 * @license    http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link       http://genesisthemes.de/en/wp-plugins/buddypress-toolbar/
 * @link       http://twitter.com/#!/deckerweb
 *
 * @since 1.0
 */

/**
 * Display link to active Genesis Connect (Plugin) and Genesis (Theme) settings pages (premium, by StudioPress)
 *
 * @since 1.0
 */
if ( ( get_template() == 'genesis' ) && class_exists( 'GConnect_Theme' ) ) {
	// Genesis Connect Settings
	$menu_items['gconnect-settings'] = array(
		'parent' => $extensions,
		'title'  => __( 'Genesis Connect Settings', 'buddypress-toolbar' ),
		'href'   => admin_url( 'admin.php?page=connect-settings' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Genesis Connect Settings', 'buddypress-toolbar' ) )
	);
	// Genesis Theme Settings
	$menu_items['genesis-settings'] = array(
		'parent' => $tgroup,
		'title'  => __( 'Genesis Theme Settings', 'buddypress-toolbar' ),
		'href'   => admin_url( 'admin.php?page=genesis' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Genesis Theme Settings', 'buddypress-toolbar' ) )
	);
}


/**
 * Display link to active Custom Community theme settings page (free, by Themekraft)
 *
 * @since 1.0
 */
if ( get_current_theme() == 'Custom Community' || get_template() == 'custom-community' ) {
	$menu_items['customcommunity-settings'] = array(
		'parent' => $tgroup,
		'title'  => __( 'Custom Community Theme Settings', 'buddypress-toolbar' ),
		'href'   => admin_url( 'themes.php?page=theme_settings' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Custom Community Theme Settings', 'buddypress-toolbar' ) )
	);
}


/**
 * Display link to active Frisco for BuddyPress theme settings page (free, by David Carson)
 *
 * @since 1.0
 */
if ( get_current_theme() == 'Frisco for BuddyPress' && get_template() == 'bp-default' ) {
	$menu_items['frisco-settings'] = array(
		'parent' => $tgroup,
		'title'  => __( 'Frisco Theme Settings', 'buddypress-toolbar' ),
		'href'   => admin_url( 'themes.php?page=theme_options' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Frisco Theme Settings', 'buddypress-toolbar' ) )
	);
}


/**
 * Display link to active Elbee Elgee theme settings page (free, by Doug Stewart)
 *
 * @since 1.0
 */
if ( get_current_theme() == 'Elbee Elgee' && get_template() == 'elbee-elgee' ) {
	$menu_items['frisco-settings'] = array(
		'parent' => $tgroup,
		'title'  => __( 'Elbee Elgee Theme Settings', 'buddypress-toolbar' ),
		'href'   => admin_url( 'themes.php?page=lblg_options_page' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Elbee Elgee Theme Settings', 'buddypress-toolbar' ) )
	);
}
